Red Hat Satellite engineering is moving the tracking of its product development work on Satellite to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "Satellite project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs will be migrated starting at the end of May. If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "Satellite project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/SAT-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 2070272 - Sync Status page does not show syncing progress bar under "Result" column when syncing a repo
Summary: Sync Status page does not show syncing progress bar under "Result" column whe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.11.0
Assignee: Samir Jha
QA Contact: Griffin Sullivan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-30 18:25 UTC by Lai
Modified: 2022-07-05 14:34 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-4.3.0.31-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-05 14:34:52 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 34766 0 Normal New Sync Status page does not show syncing progress bar under "Result" column when syncing a repo 2022-04-12 18:12:51 UTC
Red Hat Product Errata RHSA-2022:5498 0 None None None 2022-07-05 14:34:58 UTC

Description Lai 2022-03-30 18:25:35 UTC
Description of problem:
When you choose a repo to sync and click "Synchronize Now" button in Sync Status page, the page does not automatically update to show the progress bar.

Version-Release number of selected component (if applicable):
6.11 snap 14 rhel8

How reproducible:
100%

Steps to Reproduce:
1. Import manifest on satellite
2. Enabled a large repo or one that take a little bit of time to sync
3. Content -> Sync Status and select the repo from 2
4. Click "Synchronize Now"

Actual results:
Result column still shows "Never Synced" status and no progress bar shown

Expected results:
Result column should automatically have progress bar shown and "Syncing Complete" once syncing is finished.

Additional info:
workaround: refresh page

Comment 1 Samir Jha 2022-04-12 18:12:50 UTC
Created redmine issue https://projects.theforeman.org/issues/34766 from this bug

Comment 2 Brad Buckingham 2022-04-14 13:51:01 UTC
Moving to POST as upstream PR is merged.

Comment 4 Griffin Sullivan 2022-05-04 12:50:35 UTC
Verified in 6.11 snap 18.5 on RHEL 7

Progress bar appears under Result on Sync Status page.

Steps to Reproduce:
1. Import manifest on satellite
2. Enabled a large repo or one that take a little bit of time to sync
3. Content -> Sync Status and select the repo from 2
4. Click "Synchronize Now"

Expected Result:
Progress bar appears under Result column and shows Syncing Complete when done.

Actual Result:
Progress bar appears under Result column and shows Syncing Complete when done.

Comment 7 errata-xmlrpc 2022-07-05 14:34:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.11 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5498


Note You need to log in before you can comment on or make changes to this bug.